Fetch all lead forms
curl --request GET \
--url https://api.sakari.io/v1/accounts/{accountId}/forms \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sakari.io/v1/accounts/{accountId}/forms"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sakari.io/v1/accounts/{accountId}/forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pagination": {
"limit": 123,
"offset": 123,
"hasNext": true
},
"data": [
{
"id": "<string>",
"name": "<string>",
"impressions": 123,
"conversions": 123,
"active": "2023-11-07T05:31:56Z",
"created": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
},
"updated": {
"at": "2023-11-07T05:31:56Z",
"by": {
"id": "<string>",
"name": "Joe Bloggs",
"firstName": "Joe",
"lastName": "Bloggs",
"email": "joe@bloggs.com",
"source": "<string>",
"subSource": "<string>"
}
}
}
]
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}{
"success": true,
"error": {
"code": "CONT-010",
"description": "Contact has requested no further communication"
}
}forms
Fetch all lead forms
GET
/
v1
/
accounts
/
{accountId}
/
forms
Fetch all lead forms
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Account to apply operations to
Query Parameters
General search term that searchs accross multiple fields
Results to skip when paginating through a result set
Required range:
x >= 0Maximum number of results to return
Required range:
1 <= x <= 100Sort the return results
⌘I